#!/bin/sh

if [ $# -eq 0 ]; then
  echo "Usage: $0 {tsi_installation_directory}"
  exit 1
fi

installdir=$1
if [ ! -d $installdir ]; then
  echo "Installation directory $installdir not found."
  exit 1
fi

echo ""
echo "Restricting permissions of directory $installdir to read only"
echo "for the owner but executable for world (needed for tsi_ls)."
chmod 511 $installdir
sleep 1

echo ""
echo "Restricting permissions of files $installdir/* to read only for the owner."
chmod 400 $installdir/*
sleep 1

echo ""
echo "Making $installdir/tsi_ls world readable again."
chmod 444 $installdir/tsi_ls
sleep 1

echo ""
echo "Showing permissions: \"ls -al $installdir\""
ls -al $installdir
sleep 1

echo ""
echo "######################################################################"
echo "Check that all parent directories of $installdir are world executable."
echo "Otherwise the tsi_ls script cannot be executed."
echo "######################################################################"
echo ""
